Package Details: dexed-git 0.9.4.r228.eea1256-1

Git Clone URL: https://aur.archlinux.org/dexed-git.git (read-only)
Package Base: dexed-git
Description: A software synth closely modelled on the Yamaha DX7 (git version)
Upstream URL: http://asb2m10.github.io/dexed/
Licenses: GPL3
Groups: vst-plugins
Conflicts: dexed, dexed-vst-git
Provides: dexed
Submitter: SpotlightKid
Maintainer: SpotlightKid
Last Packager: SpotlightKid
Votes: 9
Popularity: 0.192160
First Submitted: 2018-03-23 22:57
Last Updated: 2018-04-24 11:04

Latest Comments

SpotlightKid commented on 2018-03-31 18:27

Heads up: unfortunately the Dexed VST plugin does not work on Linux in release 0.9.4. I've filed a bug in Dexed's Github issue tracker. Until this is resolved I can only recommend to return to release 0.9.3 if you need the VST plugin. The new standalone version in release 0.9.4 seems to work ok, though.

Here's a PKGBUILD, which you can use for version 0.9.3:

https://gist.github.com/SpotlightKid/c0e8abec8af3686d5495b5dfd2b7c399

SpotlightKid commented on 2018-03-22 16:32

@Gimmeapill: thanks for looking into this. I have also noticed that this is not handled consistently. I think I'd prefer the lower-case binary unless there is a compelling reason to use an uppercase name. I just think it's easier when using the terminal.

I also probably should add a .desktop file and an icon now.

Gimmeapill commented on 2018-03-22 11:10

Regarding the capitalization of the binary: I was not too sure so I put everything to lower case.

But after searching a bit, it seems to be fine to have a binary name with upper cases. Some official packages do it, for ex: https://www.archlinux.org/packages/community/x86_64/mediaelch/

So the install line can leave the name as is (and keep it consistent with the vst name):

install -Dm755 build/Dexed "${pkgdir}/usr/bin/Dexed"

Gimmeapill commented on 2018-03-21 22:22

@SpotlightKid: No obvious build switch for jack support, but as a workaround you can apparently wrap the standalone application with Carla via «Add Jack application» (needs beta6, as per http://kxstudio.linuxaudio.org/News/?action=view&url=carla-20-beta6-is-here).

And actually, the vst itself seems to be broken in most hosts at the moment (this is possibly related to vst3 support and/or vst2.4 deprecation).

SpotlightKid commented on 2018-03-20 20:02

@Gimmeapill: thanks for the heads up! I changed the PKGBUILD according to your suggestion. Ideally, the package should now be renamed to just "dexed-git". I might do that later.

Do you know whether it is possible to build the standalone version with JACK support?

Gimmeapill commented on 2018-03-20 19:43

As per the changelog of version 0.9.4 freshly released, Dexed also comes as a standalone version, which is built by default.

So this only requires one additional line in the package function:

install -Dm755 build/Dexed "${pkgdir}/usr/bin/dexed"

(I didn't capitalize on purpose)